Page MenuHomePhabricator

relocate/reimage cloudvirt1014 with 10G interfaces
Closed, ResolvedPublic

Description

This needs to stay in the same row, but needs moving to a rack with a 10g switch.

cloudvirt1014 migration to 10G:

  • - put system offline in all checks for maint window
  • - relocate to 10G rack and update netbox
  • - enable PXE for 10G interfaces.
  • - update switch configuration for new primary 10G and secondary 10G ports (remove old switch port information)
  • - update RAID config to include spare drives
  • - PXE boot and reimage system
  • - reintroduce system into service cluster

Event Timeline

Andrew assigned this task to Cmjohnson.Jun 20 2019, 3:11 PM
Cmjohnson moved this task from Backlog to Cloud Tasks on the ops-eqiad board.Jun 27 2019, 4:28 PM

@andrewbogott: Is it safe to move forward with this task?

Yep! Any time.

Mentioned in SAL (#wikimedia-operations) [2019-07-17T16:07:28Z] <cmjohnson1> powering off cloudvirt1014 for rack move T226188

Cmjohnson updated the task description. (Show Details)Jul 17 2019, 4:45 PM

Change 523969 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Re-install cloudvirt1014 with Stretch and the 10g nic

https://gerrit.wikimedia.org/r/523969

Cmjohnson updated the task description. (Show Details)Jul 17 2019, 4:53 PM

Change 523969 merged by Andrew Bogott:
[operations/puppet@production] Re-install cloudvirt1014 with Stretch and the 10g nic

https://gerrit.wikimedia.org/r/523969

Cmjohnson reassigned this task from Cmjohnson to Andrew.Jul 17 2019, 4:57 PM
Cmjohnson removed a project: ops-eqiad.

@andrewbogott This server is ready for you, i updated raid cfg to R10 and 2 spare disks. Network switch updated (old switch info removed) with new ports and correct vlans. Disabled the ethernet ports and the 10G ports are enabled. I sent you the mac address via PM in IRC. Resolve this task once finished. I am removing the ops-eqiad tag and assigned to you. If there is an issue please add the tag back and assign to me.

Change 523986 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] cloudvirt1014: update network adapter names for Stretch

https://gerrit.wikimedia.org/r/523986

Change 523986 merged by Andrew Bogott:
[operations/puppet@production] cloudvirt1014: update network adapter names for Stretch

https://gerrit.wikimedia.org/r/523986

Andrew closed this task as Resolved.Jul 17 2019, 6:53 PM
Andrew updated the task description. (Show Details)